欢迎来到Python教程自学网!
当前位置: 首页 > Flask > ​requirements文件的作用

​requirements文件的作用

   

​requirements文件的作用

在虚拟环境使用以下命令将当前虚拟环境中的依赖包以版本号生成至文件中:

$ pip freeze >requirements.txt1

安装或升级包后,最好更新这个文件以保证虚拟环境中的依赖包。

需求文件的内容示例如下:

backports.functools-lru-cache==1.5
blinker==1.4
cycler==0.10.0
elasticsearch==6.3.0
elasticsearch-dsl==6.2.1
Flask==0.10.1
Flask-Login==0.4.1
Flask-Session==0.3.1
Flask-SQLAlchemy==2.3.1
Flask-WTF==0.12
ipaddress==1.0.22
itsdangerous==0.24
jieba==0.39
Jinja2==2.9.5
kiwisolver==1.0.1
lxml==4.2.3
MarkupSafe==0.23
numpy==1.14.5
py==1.5.4
PyMySQL==0.8.0
pyparsing==2.2.0
pytest==2.9.2
python-dateutil==2.7.3
python-docx==0.8.6
pytz==2018.5
six==1.11.0
SQLAlchemy==1.2.5
subprocess32==3.5.2
urllib3==1.23
Werkzeug==0.11
WTForms==2.0.2
matplotlib==2.2.2
gunicorn==19.4.1123456789101112131415161718192021222324252627282930313233

当需要创建这个虚拟环境的完全副本,可以创建一个新的虚拟环境,并在其上运行以下命令:

$ pip install -r requirements.txt1